# Generated by Django 4.1.5 on 2023-04-13 11:33

import uuid

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    replaces = [
        ("formkit_ninja", "0007_alter_formcomponents_options_and_more"),
        ("formkit_ninja", "0008_rename_new_values_formkitschemanode_node_and_more"),
        ("formkit_ninja", "0009_formkitschema_properties_and_more"),
        ("formkit_ninja", "0010_alter_formcomponents_options_and_more"),
        ("formkit_ninja", "0011_alter_formcomponents_id_alter_formkitschema_id_and_more"),
        ("formkit_ninja", "0012_formkitschema_key_alter_formkitschema_properties"),
        ("formkit_ninja", "0013_formkitschemanode_key"),
        ("formkit_ninja", "0014_formcomponents_key"),
        ("formkit_ninja", "0015_rename_key_formkitschemanode_admin_key_and_more"),
        ("formkit_ninja", "0016_alter_translatable_language_code_and_more"),
        ("formkit_ninja", "0017_remove_translatable_content_type_translatable_value"),
        ("formkit_ninja", "0018_formkitschemanode_help_formkitschemanode_label_and_more"),
        ("formkit_ninja", "0019_option_label"),
        ("formkit_ninja", "0020_formcomponents_created_formcomponents_created_by_and_more"),
        ("formkit_ninja", "0021_translatable_context"),
        ("formkit_ninja", "0022_translatable_msgstr"),
        ("formkit_ninja", "0023_alter_formkitschemanode_help_and_more"),
        ("formkit_ninja", "0024_alter_formcomponents_id_alter_option_id_and_more"),
        ("formkit_ninja", "0025_translatable_options_function_and_more"),
        ("formkit_ninja", "0026_remove_translatable_options_function"),
        ("formkit_ninja", "0027_remove_formkitschema_properties_and_more"),
        ("formkit_ninja", "0028_formkitschemanode_additional_props_and_more"),
    ]

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("formkit_ninja", "0006_formkitschemanode_placeholder"),
        ("contenttypes", "0002_remove_content_type_name"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="formkitschemanode",
            name="values",
        ),
        migrations.AddField(
            model_name="formkitschemanode",
            name="node",
            field=models.JSONField(
                blank=True, help_text="A JSON representation of select parts of the FormKit schema", null=True
            ),
        ),
        migrations.AlterField(
            model_name="membership",
            name="group",
            field=models.ForeignKey(
                limit_choices_to={"node__formkit": "group"},
                on_delete=django.db.models.deletion.CASCADE,
                to="formkit_ninja.formkitschemanode",
            ),
        ),
        migrations.AlterField(
            model_name="nodechildren",
            name="parent",
            field=models.ForeignKey(
                limit_choices_to={"node__node_type": "$el"},
                on_delete=django.db.models.deletion.CASCADE,
                to="formkit_ninja.formkitschemanode",
            ),
        ),
        migrations.AlterField(
            model_name="option",
            name="field",
            field=models.ForeignKey(
                limit_choices_to={"node__formkit": "group"},
                on_delete=django.db.models.deletion.CASCADE,
                to="formkit_ninja.formkitschemanode",
            ),
        ),
        migrations.AlterModelOptions(
            name="formcomponents",
            options={"ordering": ("schema", "order")},
        ),
        migrations.RenameField(
            model_name="formcomponents",
            old_name="schem",
            new_name="schema",
        ),
        migrations.RemoveField(
            model_name="formkitschema",
            name="name",
        ),
        migrations.RemoveField(
            model_name="option",
            name="label",
        ),
        migrations.RemoveField(
            model_name="formkitschemanode",
            name="label",
        ),
        migrations.RemoveField(
            model_name="formkitschemanode",
            name="placeholder",
        ),
        migrations.AlterField(
            model_name="formcomponents",
            name="id",
            field=models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name="formkitschema",
            name="id",
            field=models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name="membership",
            name="id",
            field=models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name="nodechildren",
            name="id",
            field=models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name="option",
            name="field",
            field=models.ForeignKey(
                limit_choices_to={"node__formkit__in": ["select", "radio"]},
                on_delete=django.db.models.deletion.CASCADE,
                to="formkit_ninja.formkitschemanode",
            ),
        ),
        migrations.AlterField(
            model_name="option",
            name="id",
            field=models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False),
        ),
        migrations.AddField(
            model_name="formcomponents",
            name="key",
            field=models.CharField(
                default="", help_text="Used as a human-readable label", max_length=1024, unique=True
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="formkitschemanode",
            name="admin_key",
            field=models.CharField(
                default="", help_text="Used as a human-readable label", max_length=1024, unique=True
            ),
        ),
        migrations.AddField(
            model_name="option",
            name="label",
            field=models.CharField(default=" hello ", max_length=1024),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="formcomponents",
            name="created",
            field=models.DateTimeField(auto_now_add=True, null=True),
        ),
        migrations.AddField(
            model_name="formcomponents",
            name="created_by",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="formcomponents",
            name="updated",
            field=models.DateTimeField(auto_now=True, null=True),
        ),
        migrations.AddField(
            model_name="formcomponents",
            name="updated_by",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="formkitschema",
            name="created",
            field=models.DateTimeField(auto_now_add=True, null=True),
        ),
        migrations.AddField(
            model_name="formkitschema",
            name="created_by",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="formkitschema",
            name="updated",
            field=models.DateTimeField(auto_now=True, null=True),
        ),
        migrations.AddField(
            model_name="formkitschema",
            name="updated_by",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="formkitschemanode",
            name="created",
            field=models.DateTimeField(auto_now_add=True, null=True),
        ),
        migrations.AddField(
            model_name="formkitschemanode",
            name="created_by",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="formkitschemanode",
            name="translation_context",
            field=models.CharField(
                blank=True,
                help_text="The gettext context to use to translate Options, label, placeholder and help text",
                max_length=1024,
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="formkitschemanode",
            name="updated",
            field=models.DateTimeField(auto_now=True, null=True),
        ),
        migrations.AddField(
            model_name="formkitschemanode",
            name="updated_by",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="membership",
            name="created",
            field=models.DateTimeField(auto_now_add=True, null=True),
        ),
        migrations.AddField(
            model_name="membership",
            name="created_by",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="membership",
            name="updated",
            field=models.DateTimeField(auto_now=True, null=True),
        ),
        migrations.AddField(
            model_name="membership",
            name="updated_by",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="nodechildren",
            name="created",
            field=models.DateTimeField(auto_now_add=True, null=True),
        ),
        migrations.AddField(
            model_name="nodechildren",
            name="created_by",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="nodechildren",
            name="updated",
            field=models.DateTimeField(auto_now=True, null=True),
        ),
        migrations.AddField(
            model_name="nodechildren",
            name="updated_by",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="option",
            name="created",
            field=models.DateTimeField(auto_now_add=True, null=True),
        ),
        migrations.AddField(
            model_name="option",
            name="created_by",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="option",
            name="updated",
            field=models.DateTimeField(auto_now=True, null=True),
        ),
        migrations.AddField(
            model_name="option",
            name="updated_by",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AlterField(
            model_name="formcomponents",
            name="id",
            field=models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name="option",
            name="id",
            field=models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name="formkitschemanode",
            name="description",
            field=models.CharField(
                blank=True,
                help_text="Decribe the type of data / reason for this component",
                max_length=4000,
                null=True,
            ),
        ),
        migrations.CreateModel(
            name="Translatable",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("object_id", models.UUIDField(editable=False)),
                ("language_code", models.CharField(editable=False, max_length=3)),
                (
                    "field",
                    models.CharField(
                        editable=False, help_text="The field on the generic model to translate", max_length=100
                    ),
                ),
                ("value", models.CharField(blank=True, editable=False, max_length=5000, null=True)),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                (
                    "created_by",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                ("updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "updated_by",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                ("context", models.CharField(blank=True, editable=False, max_length=1024, null=True)),
                ("msgstr", models.CharField(help_text="The string", max_length=5000)),
            ],
        ),
        migrations.AddField(
            model_name="formkitschemanode",
            name="additional_props",
            field=models.JSONField(blank=True, help_text="User space for additional, less used props", null=True),
        ),
        migrations.AddField(
            model_name="formkitschema",
            name="key",
            field=models.SlugField(max_length=1024, unique=True),
        ),
    ]
